
#ifndef TYPES_H_INCLUDED
#define TYPES_H_INCLUDED

#include <stdint.h>

// Cross-platform variable types
#define u8 uint8_t
#define u16 uint16_t
#define u32 uint32_t
#define u64 uint64_t

#define s8 int8_t
#define s16 int16_t
#define s32 int32_t
#define s64 int64_t

#define c8 char
#define cc8 const char
#define f32 float
#define f64 double
#define f128 long double

// Standard variable types
#define c8 char
#define cc8 const char
#define f32 float
#define f64 double

// Boolean variables
#define bool int
#define true 1
#define false 0



#endif // TYPES_H_INCLUDED
